complexType "PaymentMatching"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 7 elements
Defined: | globally in fpml-reconciliation-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | identifier?, payerPartyReference?, payerAccountReference?, receiverPartyReference?, receiverAccountReference?, paymentAmount?, calculationDetails*
</...>

Content Model Elements (7):

  calculationDetails (defined in PaymentMatching complexType),
  identifier (defined in PaymentDetails.model group),
  payerAccountReference,
  payerPartyReference (defined in PayerReceiver.model group),
  paymentAmount (defined in PaymentDetails.model group),
  receiverAccountReference,
  receiverPartyReference (defined in PayerReceiver.model group)

All Direct / Indirect Based Elements (2):

  payment (defined in NettedTradeCashflows.model group), | payment (defined in TradeCashflows.model group)

Known Usage Locations

- As direct type of elements (2):

  payment (defined in NettedTradeCashflows.model group), | payment (defined in TradeCashflows.model group)

Annotation
A global type describing the payment exposed to the matching process, along with its gross component(s) and calculation details.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PaymentMatching"> <xsd:sequence> <xsd:group ref="PaymentDetails.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculationDetails" type="CalculationDetails"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/7)
calculationDetails

  Type: | CalculationDetails, complex content

  The set of cash flow components with calculations that comprise this payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="calculationDetails" type="CalculationDetails"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.